package com.hw.dms.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备盘点计划对象 dms_flow_checkplan
 * 
 * @author xins
 * @date 2023-12-29
 */
public class DmsFlowCheckplan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 盘点计划ID */
    private Long flowCheckplanId;

    /** 盘点单号 */
    @Excel(name = "盘点单号")
    private String checkCode;

    /** 计划盘点时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "计划盘点时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date planTime;

    /** 盘点人员 */
    @Excel(name = "盘点人员")
    private String checkBy;

    /** 设备类型ID，关联dms_base_device_type的device_type_id */
    @Excel(name = "设备类型ID，关联dms_base_device_type的device_type_id")
    private Long deviceTypeId;

    /** 盘点数量 */
    @Excel(name = "盘点数量")
    private Long checkAmount;

    /** 剩余数量 */
    @Excel(name = "剩余数量")
    private Long surplusCheckAmount;

    /** 盘点状态(0未盘点1已盘点2盘点中) */
    @Excel(name = "盘点状态(0未盘点1已盘点2盘点中)")
    private Long checkState;

    /** 设备盘点明细信息 */
    private List<DmsFlowCheckplanDetail> dmsFlowCheckplanDetailList;

    public void setFlowCheckplanId(Long flowCheckplanId) 
    {
        this.flowCheckplanId = flowCheckplanId;
    }

    public Long getFlowCheckplanId() 
    {
        return flowCheckplanId;
    }
    public void setCheckCode(String checkCode) 
    {
        this.checkCode = checkCode;
    }

    public String getCheckCode() 
    {
        return checkCode;
    }
    public void setPlanTime(Date planTime) 
    {
        this.planTime = planTime;
    }

    public Date getPlanTime() 
    {
        return planTime;
    }
    public void setCheckBy(String checkBy) 
    {
        this.checkBy = checkBy;
    }

    public String getCheckBy() 
    {
        return checkBy;
    }
    public void setDeviceTypeId(Long deviceTypeId) 
    {
        this.deviceTypeId = deviceTypeId;
    }

    public Long getDeviceTypeId() 
    {
        return deviceTypeId;
    }
    public void setCheckAmount(Long checkAmount) 
    {
        this.checkAmount = checkAmount;
    }

    public Long getCheckAmount() 
    {
        return checkAmount;
    }
    public void setSurplusCheckAmount(Long surplusCheckAmount) 
    {
        this.surplusCheckAmount = surplusCheckAmount;
    }

    public Long getSurplusCheckAmount() 
    {
        return surplusCheckAmount;
    }
    public void setCheckState(Long checkState) 
    {
        this.checkState = checkState;
    }

    public Long getCheckState() 
    {
        return checkState;
    }

    public List<DmsFlowCheckplanDetail> getDmsFlowCheckplanDetailList()
    {
        return dmsFlowCheckplanDetailList;
    }

    public void setDmsFlowCheckplanDetailList(List<DmsFlowCheckplanDetail> dmsFlowCheckplanDetailList)
    {
        this.dmsFlowCheckplanDetailList = dmsFlowCheckplanDetailList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("flowCheckplanId", getFlowCheckplanId())
            .append("checkCode", getCheckCode())
            .append("planTime", getPlanTime())
            .append("checkBy", getCheckBy())
            .append("deviceTypeId", getDeviceTypeId())
            .append("checkAmount", getCheckAmount())
            .append("surplusCheckAmount", getSurplusCheckAmount())
            .append("checkState", getCheckState())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("dmsFlowCheckplanDetailList", getDmsFlowCheckplanDetailList())
            .toString();
    }
}
